﻿@model  Select2ServicosViewModel

<div class="col-lg-12" style="padding-left:inherit; @Model.margintopSel">
    @if (Model.verTitulo)
    {
        <label for="input-text-1">
            <strong class="strong-min-tgv">Serviços:</strong>
        </label>
    }
    <div id="@string.Concat(Model.idControleSelect2, "Container")" style="color: var(--tgv-black-color) !important;"></div>
</div>

<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {
                ajaxPostApiURL = '@Url.Content("~/api/Select2CadastroDocServicos/ObterDescricoesServicos")';
                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "DESDOCARZ";
                textoInicial = "Selecione um Documento";
                jsonTexto = "DESDOCARZ";
                jsonValor = "CODDOCARZ";
                caracteresMinimos = 0;
                multiplo = true;
                @if (Model.ativo)
                {
                <text>buscarAtivos = true;</text>
                }
                else
                {
                <text>buscarAtivos = false;</text>
                }
                @if (!string.IsNullOrEmpty(@Model.idControleInput))
                {
                   <text>with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODDOCARZ", idJsonEnviar = "@Model.idControleInput", tipoJsonEnviar = 'tipoNumerico' }</text>
                };
            }
            inicializar(null);
        }
    });
</script>
